Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFile

    java.lang.Object
      com.servingxml.components.flatfile.layout.FlatFile

    public class FlatFile

extends java.lang.Object

The `FlatFile` defines a flat file.

Constructor Summary
`FlatFile(FlatFileOptionsFactory flatFileOptionsFactory, FlatFileHeader header, FlatFileTrailer trailer, FlatFileBodyFactory bodyFactory, FlatFileSignatureFactory[] signatureFactories)`

Method Summary
`RecordReader` | `createRecordReader(ServiceContext context, Flow flow, StreamSource source, long fromRecord, long maxRecordCount, FlatFileOptions defaultOptions)`
`RecordWriter` | `createRecordWriter(ServiceContext context, Flow flow, StreamSinkFactory sinkFactory, FlatFileOptions defaultOptions)`
`boolean` | `isBinary()`
`boolean` | `isFieldDelimited()`
`boolean` | `isSignatures()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFile

    public FlatFile(FlatFileOptionsFactory flatFileOptionsFactory,
                    FlatFileHeader header,
                    FlatFileTrailer trailer,
                    FlatFileBodyFactory bodyFactory,
                    FlatFileSignatureFactory[] signatureFactories)

Method Detail

### isSignatures

    public boolean isSignatures()

### createRecordWriter

    public RecordWriter createRecordWriter(ServiceContext context,
                                           Flow flow,
                                           StreamSinkFactory sinkFactory,
                                           FlatFileOptions defaultOptions)

### createRecordReader

    public RecordReader createRecordReader(ServiceContext context,
                                           Flow flow,
                                           StreamSource source,
                                           long fromRecord,
                                           long maxRecordCount,
                                           FlatFileOptions defaultOptions)

### isFieldDelimited

    public boolean isFieldDelimited()

### isBinary

    public boolean isBinary()

### isText

    public boolean isText()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD